#include <cstdio>
#include <cstring>

using namespace std;

int n, m;
int BIT[100006];

void update(int u, int x) {
    for (int i = u; i <= n; i += i & -i)
        BIT[i] += x;
}

int query(int u) {
    int res = 0;
    for (int i = u; i; i -= i & -i)
        res += BIT[i];
    return res;
}

int main() {

    n = 100004;
    while(scanf("%d",&m) and m!= 0) {
        memset(BIT,0,sizeof(BIT));
        int tot=0;
        for (int i=0;i<m;i++) {
            int t;
            scanf("%d",&t);
            tot += i - query(t);
            update(t,1);

            tot %= 2;
        }
        printf("%s\n",tot?"Marcelo":"Carlos");
    }

    return 0;
}

